## kdepim-runtime 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.3")
set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})

set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "25.08.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

set(KF_MIN_VERSION "6.14.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(GenerateExportHeader)

set(QT_REQUIRED_VERSION "6.8.0")

set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "6")
set(AKONADI_VERSION "6.5.3")

set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
set(CALENDARUTILS_LIB_VERSION "6.5.3")
set(KIMAP_LIB_VERSION "6.5.3")
set(KMBOX_LIB_VERSION "6.5.3")
set(AKONADICALENDAR_LIB_VERSION "6.5.3")
set(KMIME_LIB_VERSION "6.5.3")
set(AKONADIMIME_LIB_VERSION "6.5.3")
set(AKONADICONTACT_LIB_VERSION "6.5.3")
set(KGAPI_LIB_VERSION "6.5.3")
set(KLDAP_LIB_VERSION "6.5.3")
set(KTEXTADDONS_MIN_VERSION "1.6.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(PIMCOMMON_LIB_VERSION "6.5.3")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(SharedMimeInfo_MINIMUM_VERSION "1.10")
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

find_package(Qca-qt6 2.3.7 CONFIG REQUIRED)
set_package_properties(Qca-qt6 PROPERTIES DESCRIPTION "Qt Cryptographic Architecture"
                   URL "https://invent.kde.org/libraries/qca" TYPE REQUIRED
                   PURPOSE "Needed for ews resource.")
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
# QT package
find_package(Qt6TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt6TextToSpeech PROPERTIES DESCRIPTION
    "Add support for texttospeech"
    TYPE OPTIONAL
)
if(Qt6TextToSpeech_FOUND)
set(HAVE_TEXT_TO_SPEECH_SUPPORT TRUE)
endif()
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test DBus NetworkAuth Concurrent)
find_package(Qt6WebEngineWidgets ${QT_REQUIRED_VERSION} CONFIG)

# KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED) # pop3, ews
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DAV ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Wallet ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

# KdepimLibs package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendarCore ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.16.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(TARGET KPim6::PimCommonActivities)
	option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR})
configure_file(config-kdepim-runtime.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-runtime.h)

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(defaultsetup)
add_subdirectory(kioworker)
add_subdirectory(migration)
add_subdirectory(kcms)
add_subdirectory(kmailtransport)
add_subdirectory(images)
## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
ecm_qt_install_logging_categories(
        EXPORT KDEPIMRUNTIME
        FILE kdepim-runtime.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== resources/CMakeLists.txt ===
# Libkolabxml
find_package(Libkolabxml 1.1 CONFIG)
set_package_properties(Libkolabxml PROPERTIES DESCRIPTION "Kolabxml" URL "http://mirror.kolabsys.com/pub/releases" TYPE OPTIONAL PURPOSE "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")

# Etebase library
find_package(Etebase CONFIG)
set_package_properties(Etebase PROPERTIES URL "https://github.com/etesync/libetebase/releases" TYPE OPTIONAL PURPOSE "The Etebase library is required to build the EteSync Groupware Resource")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_BINARY_DIR}/shared/singlefileresource/
  ${CMAKE_CURRENT_SOURCE_DIR}/folderarchivesettings/
)


# resource tests
macro(akonadi_add_resourcetest _testname _script)
  if( ${EXECUTABLE_OUTPUT_PATH})
    set(_exepath ${EXECUTABLE_OUTPUT_PATH})
  else ()
    set(_exepath ${kdepim-runtime_BINARY_DIR}/resourcetester)
  endif()
  if(WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else ()
    set(_resourcetester ${_exepath}/resourcetester)
  endif()
  if(UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif()
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  if(KDEPIM_RUN_ISOLATED_TESTS)
    add_test( NAME akonadi-mysql-db-${_testname} COMMAND akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script})
  endif()
endmacro(akonadi_add_resourcetest)



add_subdirectory(contacts)
add_subdirectory(dav)
add_subdirectory(ical)
add_subdirectory(imap)
if(Libkolabxml_FOUND)
    # The boost-provided CMake files are unreliable
    set(Boost_NO_BOOST_CMAKE ON)
    find_package(Boost MODULE REQUIRED COMPONENTS atomic thread system)
    unset(Boost_NO_BOOST_CMAKE)
    add_subdirectory(kolab)
endif()

if(Etebase_FOUND)
    add_subdirectory(etesync)
endif()

add_subdirectory(maildir)

add_subdirectory(openxchange)
add_subdirectory(pop3)

add_subdirectory(google-groupware)

add_subdirectory(shared)
add_subdirectory(birthdays)
add_subdirectory(mixedmaildir)
add_subdirectory(mbox)
add_subdirectory(vcarddir)
add_subdirectory(icaldir)
add_subdirectory(vcard)
add_subdirectory(folderarchivesettings)
if(TARGET Qt::WebEngineWidgets)
    add_subdirectory(ews)
endif()

=== resources/etesync/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_etesync_resource\")

set(etesyncresource_common_SRCS
    etebaseadapter.cpp etebaseadapter.h
)

kconfig_add_kcfg_files(etesyncresource_common_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/settings.kcfgc
)

set(etesyncresource_SRCS
    etesyncresource.cpp etesyncresource.h
    etesyncclientstate.cpp etesyncclientstate.h
    journalsfetchjob.cpp journalsfetchjob.h
    entriesfetchjob.cpp entriesfetchjob.h
    ${etesyncresource_common_SRCS}
)

ecm_qt_declare_logging_category(etesyncresource_SRCS
    HEADER etesync_debug.h
    IDENTIFIER ETESYNC_LOG
    CATEGORY_NAME org.kde.pim.etesync
    DESCRIPTION "resource etesync (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME
)

kcfg_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/etesyncresource.kcfg
    org.kde.Akonadi.etesync.Settings
)

qt_add_dbus_adaptor(etesyncresource_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.etesync.Settings.xml
    ${CMAKE_CURRENT_BINARY_DIR}/settings.h
    Settings
)

add_executable(akonadi_etesync_resource ${etesyncresource_SRCS})
set_target_properties(akonadi_etesync_resource PROPERTIES MACOSX_BUNDLE FALSE)
target_include_directories(akonadi_etesync_resource PRIVATE ${ETEBASE_INCLUDE_DIRS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_etesync_resource PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(akonadi_etesync_resource
    ${ETEBASE_LIBRARIES}
    Qt::DBus
    Qt::Concurrent
    KPim6::AkonadiAgentBase
    KF6::ConfigCore
    KF6::Contacts
    KF6::CalendarCore
    KF6::KIOCore
    KF6::I18n
    KF6::Notifications
    qt6keychain
)

ecm_install_icons(
    ICONS
    icons/16-apps-akonadi-etesync.png
    icons/24-apps-akonadi-etesync.png
    icons/32-apps-akonadi-etesync.png
    icons/48-apps-akonadi-etesync.png
    icons/64-apps-akonadi-etesync.png
    icons/72-apps-akonadi-etesync.png
    icons/128-apps-akonadi-etesync.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

install(FILES akonadi_etesync_resource.notifyrc
        DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

install(TARGETS akonadi_etesync_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES etesyncresource.desktop
    DESTINATION ${KDE_INSTALL_DATAROOTDIR}/akonadi/agents
)

################################## Config plugin ##############################
kcoreaddons_add_plugin(etesyncconfig
    INSTALL_NAMESPACE "pim6/akonadi/config"
)

set(etesyncconfig_CONFIG_SRC 
    etesyncconfig.cpp
    setupwizard.cpp setupwizard.h
    loginjob.cpp loginjob.h
    etesyncclientstate.cpp etesyncclientstate.h
)
ecm_qt_declare_logging_category(etesyncconfig_CONFIG_SRC
    HEADER etesync_debug.h      
    IDENTIFIER ETESYNC_LOG      
    CATEGORY_NAME org.kde.pim.etesync 
    DESCRIPTION "EteSync Config Plugin Logging"
)

target_sources(etesyncconfig PRIVATE
    ${etesyncconfig_CONFIG_SRC}
    ${etesyncresource_common_SRCS}
)

target_include_directories(etesyncconfig PRIVATE ${ETEBASE_INCLUDE_DIRS})

target_link_libraries(etesyncconfig PUBLIC
    ${ETEBASE_LIBRARIES}
    Qt::Concurrent
    KF6::ConfigCore
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::I18n
    KF6::WidgetsAddons
    KF6::WindowSystem
    KPim6::AkonadiCore
    KPim6::AkonadiWidgets
    KPim6::AkonadiAgentWidgetBase
    qt6keychain
)

=== resources/kolab/CMakeLists.txt ===
if(CMAKE_CXX_CLANG_TIDY OR "${CMAKE_CXX_COMPILER}" MATCHES "clazy")
  # kolab is deprecreated => we don't care about clang-tidy or clazy issues
  return()
endif()

add_subdirectory(pimkolab)
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../imap
    ${CMAKE_CURRENT_BINARY_DIR}/../imap
    ${CMAKE_CURRENT_SOURCE_DIR}/pimkolab/
    ${Libkolabxml_INCLUDES}
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_imap_resource\")

set(kolabresource_common_SRCS
    ../imap/settings.cpp
    ../imap/settings.h
    ../imap/imapaccount.cpp
    ../imap/imapaccount.h
)

ecm_qt_declare_logging_category(kolabresource_common_SRCS
    HEADER kolabresource_debug.h
    IDENTIFIER KOLABRESOURCE_LOG
    CATEGORY_NAME org.kde.pim.kolabresource
    DESCRIPTION "kolab resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_kolabresource
    EXPORT KDEPIMRUNTIME
)
ecm_qt_declare_logging_category(kolabresource_common_SRCS
    HEADER kolabresource_trace.h
    IDENTIFIER KOLABRESOURCE_TRACE
    CATEGORY_NAME org.kde.pim.kolabresource.trace
    DESCRIPTION "resource kolab trace (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME
)


kconfig_add_kcfg_files(kolabresource_common_SRCS ../imap/settingsbase.kcfgc)

########### next target ###############

set(kolabresource_SRCS
    ../imap/settingspasswordrequester.cpp
    kolabretrievecollectionstask.cpp
    kolabresource.cpp
    kolabresourcestate.cpp
    kolabhelpers.cpp
    kolabmessagehelper.cpp
    kolabaddtagtask.cpp
    kolabchangetagtask.cpp
    kolabremovetagtask.cpp
    kolabretrievetagstask.cpp
    kolabsettings.cpp
    tagchangehelper.cpp
    kolabrelationresourcetask.cpp
    kolabchangeitemstagstask.cpp
    updatemessagejob.cpp
    ../imap/settingspasswordrequester.h
    kolabretrievecollectionstask.h
    kolabresource.h
    kolabresourcestate.h
    kolabhelpers.h
    kolabmessagehelper.h
    kolabaddtagtask.h
    kolabchangetagtask.h
    kolabremovetagtask.h
    kolabretrievetagstask.h
    kolabsettings.h
    tagchangehelper.h
    kolabrelationresourcetask.h
    kolabchangeitemstagstask.h
    updatemessagejob.h
)

add_executable(akonadi_kolab_resource ${kolabresource_SRCS} ${kolabresource_common_SRCS})

target_link_libraries(akonadi_kolab_resource
    KPim6::AkonadiCore
    KPim6::IMAP
    KPim6::MailTransport
    KPim6::Mime
    KPim6::AkonadiMime
    KPim6::AkonadiCalendar
    KPim6::IdentityManagementCore
    imapresource
    folderarchivesettings
    pimkolab
    KF6::Contacts
    KF6::CalendarCore
    akonadi-singlefileresource
    KF6::I18n
)

install(FILES kolabresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(TARGETS akonadi_kolab_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.akonadi_kolab_resource.desktop DESTINATION ${KDE_INSTALL_APPDIR})

if(BUILD_TESTING)
    #add_subdirectory(autotests)
endif()

################################## Config plugin ##############################
kcoreaddons_add_plugin(kolabconfig
    INSTALL_NAMESPACE "pim6/akonadi/config"
)

ki18n_wrap_ui(kolabconfig ../imap/setupserverview_desktop.ui)

target_sources(kolabconfig PRIVATE
    ../imap/serverinfodialog.cpp
    ../imap/setupserver.cpp
    ../imap/subscriptiondialog.cpp

    ../imap/serverinfodialog.h
    ../imap/setupserver.h
    ../imap/subscriptiondialog.h
    ${kolabresource_common_SRCS}
)

target_link_libraries(kolabconfig PUBLIC
    KF6::Completion
    KF6::WidgetsAddons
    KF6::I18n
    KF6::Notifications
    KF6::Wallet
    KPim6::AkonadiCore
    KPim6::IMAP
    KPim6::MailTransport
    KPim6::AkonadiWidgets
    KPim6::AkonadiAgentWidgetBase
    KPim6::AkonadiMime
    KPim6::IdentityManagementCore
    KPim6::IdentityManagementWidgets
    KF6::KIOWidgets # SslUi
    qt6keychain
    imapresource
    folderarchivesettings
)

if(HAVE_ACTIVITY_SUPPORT)
    target_link_libraries(kolabconfig PUBLIC KPim6::PimCommonActivities)
endif()

=== resources/mixedmaildir/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${kdepim-runtime_SOURCE_DIR}/resources/shared
    ${kdepim-runtime_SOURCE_DIR}/resources/shared/filestore
    ${kdepim-runtime_SOURCE_DIR}/resources/maildir
    ${kdepim-runtime_SOURCE_DIR}/resources/mbox
    ${CMAKE_CURRENT_SOURCE_DIR}/kmindexreader
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_mixedmaildir_resource\")

add_subdirectory(kmindexreader)

set(mixedmaildir_common_SRCS)
kconfig_add_kcfg_files(mixedmaildir_common_SRCS settings.kcfgc)

############################# Resource #######################################

set(mixedmaildirresource_SRCS
    compactchangehelper.cpp
    mixedmaildirresource.cpp
    mixedmaildirstore.cpp
    retrieveitemsjob.cpp
    compactchangehelper.h
    mixedmaildirresource.h
    mixedmaildirstore.h
    retrieveitemsjob.h
    ${mixedmaildir_common_SRCS}
)
ecm_qt_declare_logging_category(mixedmaildirresource_SRCS HEADER mixedmaildirresource_debug.h IDENTIFIER MIXEDMAILDIRRESOURCE_LOG CATEGORY_NAME org.kde.pim.mixedmaildirresource
    DESCRIPTION "mixed maildir resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_mixedmaildir
    EXPORT KDEPIMRUNTIME
)
ecm_qt_declare_logging_category(mixedmaildirresource_SRCS HEADER mixedmaildir_debug.h IDENTIFIER MIXEDMAILDIR_LOG CATEGORY_NAME org.kde.pim.mixedmaildir
    DESCRIPTION "mixedmaildir resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_mixedmaildirresource
    EXPORT KDEPIMRUNTIME
)

install(FILES mixedmaildirresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")


kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/mixedmaildirresource.kcfg org.kde.Akonadi.MixedMaildir.Settings)

qt_add_dbus_adaptor(mixedmaildirresource_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MixedMaildir.Settings.xml settings.h Settings
)

add_executable(akonadi_mixedmaildir_resource ${mixedmaildirresource_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES UNITY_BUILD ON)
endif()
if(APPLE)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.MixedMaildir")
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi MixedMaildir Resource")
endif()

target_link_libraries(akonadi_mixedmaildir_resource
    kmindexreader
    maildir
    akonadi-filestore
    KPim6::AkonadiCore
    KPim6::AkonadiMime
    KF6::KIOCore
    KPim6::Mbox
    KPim6::Mime
    KPim6::AkonadiAgentWidgetBase
    KF6::I18n
    akonadi-singlefileresource
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_mixedmaildir_resource PROPERTIES UNITY_BUILD ON)
endif()

install(TARGETS akonadi_mixedmaildir_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MixedMaildir.Settings.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

# unit tests
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

###################################### Config Plugin #########################

kcoreaddons_add_plugin(mixedmaildirconfig
    INSTALL_NAMESPACE "pim6/akonadi/config"
)
target_sources(mixedmaildirconfig PRIVATE
    mixedmaildirconfig.cpp
    configwidget.cpp
    configwidget.h
    ${mixedmaildir_common_SRCS}
)
ki18n_wrap_ui(mixedmaildirconfig settings.ui)


target_link_libraries(mixedmaildirconfig
    KPim6::AkonadiCore
    KF6::I18n
    KF6::KIOWidgets
    KF6::ConfigWidgets
    maildir
)

=== resources/folderarchivesettings/autotests/CMakeLists.txt ===

# Convenience macro to add unit tests.
macro(folderarchive_test _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  add_executable(${_name} ${_test} ${_name}.h)
  add_test(NAME ${_name} COMMAND ${_name})
  ecm_mark_as_test(folderararchive-${_name})

  target_link_libraries(${_name} Qt::Test Qt::Widgets  KPim6::AkonadiCore KF6::ConfigCore folderarchivesettings)
endmacro()

folderarchive_test(folderarchiveaccountinfotest.cpp)
folderarchive_test(folderarchivecomboboxtest.cpp)

=== resources/kolab/pimkolab/CMakeLists.txt ===
set(Libkolab_MODULE_DIR ${Libkolab_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${Libkolab_MODULE_DIR})

set(Libkolab_VERSION_MAJOR 1)
set(Libkolab_VERSION_MINOR 0)
# Enable the full x.y.z version only for release versions
set(Libkolab_VERSION_PATCH 2)
set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR})
set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})

if(Qt5_POSITION_INDEPENDENT_CODE)
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabformatV2
    ${Libkolabxml_INCLUDES}
    ./
)

configure_file(libkolab-version.h.in "${CMAKE_CURRENT_BINARY_DIR}/libkolab-version.h" @ONLY)

add_subdirectory(utils)

set(KOLAB_SRCS
    kolabformat/kolabobject.cpp
    kolabformat/xmlobject.cpp
    kolabformat/formathelpers.cpp
    kolabformat/errorhandler.cpp
    kolabformat/v2helpers.cpp
    kolabformat/mimeobject.cpp
    mime/mimeutils.cpp
    conversion/kcalconversion.cpp
    conversion/kabcconversion.cpp
    conversion/commonconversion.cpp
    conversion/timezoneconverter.cpp
    calendaring/calendaring.cpp
    calendaring/event.cpp
    calendaring/datetimeutils.cpp
    icalendar/icalendar.cpp
    icalendar/imip.cpp
    kolabformatV2/kolabbase.cpp
    kolabformatV2/contact.cpp
    kolabformatV2/distributionlist.cpp
    kolabformatV2/event.cpp
    kolabformatV2/task.cpp
    kolabformatV2/journal.cpp
    kolabformatV2/incidence.cpp
    freebusy/freebusy.cpp

    kolabformat/kolabobject.h
    kolabformat/xmlobject.h
    kolabformat/formathelpers.h
    kolabformat/errorhandler.h
    kolabformat/v2helpers.h
    kolabformat/mimeobject.h
    mime/mimeutils.h
    conversion/kcalconversion.h
    conversion/kabcconversion.h
    conversion/commonconversion.h
    conversion/timezoneconverter.h
    calendaring/calendaring.h
    calendaring/event.h
    calendaring/datetimeutils.h
    icalendar/icalendar.h
    icalendar/imip.h
    kolabformatV2/kolabbase.h
    kolabformatV2/contact.h
    kolabformatV2/distributionlist.h
    kolabformatV2/event.h
    kolabformatV2/task.h
    kolabformatV2/journal.h
    kolabformatV2/incidence.h
    freebusy/freebusy.h
)

ecm_qt_declare_logging_category(KOLAB_SRCS HEADER pimkolab_debug.h IDENTIFIER PIMKOLAB_LOG CATEGORY_NAME org.kde.pim.pimkolab
    DESCRIPTION "pimkolab lib (kdepim-runtime)"
    EXPORT KDEPIMRUNTIME
)


set(KOLAB_LINK_LIBRARIES
    KF6::CalendarCore
    KPim6::CalendarUtils
    KF6::Contacts
    KPim6::Mime
    KPim6::AkonadiCore
    KF6::Codecs
    KF6::I18n
    ${Libkolabxml_LIBRARIES}
    Qt::Core
    Qt::Xml
    Qt::Gui
    Qt::Widgets
)

if(BUILD_TESTING)
    #for tests only
    enable_testing()
    add_library(kolab_static STATIC ${KOLAB_SRCS})
    target_link_libraries(kolab_static ${KOLAB_LINK_LIBRARIES} Qt::Test)
    add_subdirectory(autotests)
endif()

add_library(pimkolab STATIC ${KOLAB_SRCS})
target_link_libraries(pimkolab ${KOLAB_LINK_LIBRARIES})

=== resources/pop3/autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

# Stolen from kdepimlibs/akonadi/tests
kde_enable_exceptions()

set(_srcList ${_source} fakeserver/fakeserver.cpp)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../settings.kcfg org.kde.Akonadi.POP3.Settings)
set(pop3settingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.POP3.Settings.xml)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../../maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)
set(maildirsettingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml)
set_source_files_properties(${pop3settingsinterface_xml} PROPERTIES INCLUDE "../metatype.h")
qt_add_dbus_interface(_srcList ${pop3settingsinterface_xml} pop3settings)
qt_add_dbus_interface(_srcList ${maildirsettingsinterface_xml} maildirsettings)
# add the dbus interface to every test (easier than adding to particular tests only)
#qt_add_dbus_interface(_srcList ../org.kde.krss.xml krssinterface)

if(KDEPIM_RUN_AKONADI_TEST)
	add_akonadi_isolated_test_advanced(pop3test.cpp "${_srcList}" "KPim6::Mime")
endif()

=== resources/kolab/pimkolab/utils/CMakeLists.txt ===
add_executable(kolabformatchecker kolabformatchecker.cpp)
target_link_libraries(kolabformatchecker pimkolab Qt::Core KPim6::AkonadiCore KF6::Contacts KF6::CalendarCore KPim6::Mime)

=== debian/changelog ===
kdepim-runtime (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:22:51 +0000

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libboost-system-dev,
               libboost-thread-dev,
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dav-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkgapi-dev (>= 25.08.3~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkimap-dev (>= 25.08.3~),
               libkldap-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmbox-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libkolabxml-dev (>= 1.1~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.1.0~),
               libqca-qt6-dev (>= 2.3.7~),
               libsasl2-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-networkauth-dev (>= 6.7.0~),
               qt6-speech-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev (>= 0.14.2~),
               shared-mime-info (>= 1.8~),
               xsltproc,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-runtime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Rules-Requires-Root: no

Package: kdepim-runtime
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kio-ldap,
         kmailtransport-plugins,
         libsasl2-modules,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

TESTS_HOME=$(CURDIR)/debian/tests.home

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# TODO: talk to usptream about getting these not installed. they are not used.
	rm -rf debian/kdepim-runtime/usr/share/dbus-1/interfaces/
	# TODO: upstream SKIP_NAMELINK so we get no symlinks for private libs
	# make sure to skip the symlinks for sasl2 plugins
	find debian/kdepim-runtime \( -name '*.so' -type l \! -path '*/usr/lib/*/sasl2/*' \) -delete
	# At the end, remove empty directories
	find debian/kdepim-runtime -type d -empty -delete
override_dh_auto_test:
	# Disable dh_auto_test at build time (they are utterly broken)
	:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	mkdir -p "$(TESTS_HOME)"
#	HOME=$(TESTS_HOME) xvfb-run -a --server-args="-screen 0 1024x768x24" dbus-run-session debian/testsuite.xsession
#	rm -rf "$(TESTS_HOME)"
#endif

## kdepim-runtime 25.08.3+p24.04+vunstable+git20251204.0303

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.6.40")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.3")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "26.03.40")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -15,7 +15,7 @@
 
 configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.19.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})
@@ -35,29 +35,28 @@
 include(ECMFeatureSummary)
 include(GenerateExportHeader)
 
-set(QT_REQUIRED_VERSION "6.8.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "6")
-set(AKONADI_VERSION "6.5.3")
+set(AKONADI_VERSION "6.6.40")
 
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(KIMAP_LIB_VERSION "6.5.3")
-set(KMBOX_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
-set(AKONADIMIME_LIB_VERSION "6.5.3")
-set(AKONADICONTACT_LIB_VERSION "6.5.3")
-set(KGAPI_LIB_VERSION "6.5.3")
-set(KLDAP_LIB_VERSION "6.5.3")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
-set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(PIMCOMMON_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(KIMAP_LIB_VERSION "6.6.40")
+set(KMBOX_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(KGAPI_LIB_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
 
-set(CMAKE_CXX_STANDARD 20)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 set(SharedMimeInfo_MINIMUM_VERSION "1.10")
 find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
@@ -124,7 +123,7 @@
                                    TYPE REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.20.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
@@ -146,7 +145,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                 "Allow to compile with plasma activities"
                 TYPE OPTIONAL

=== debian/changelog ===
kdepim-runtime (4:25.08.3+p24.04+vunstable+git20251204.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:03:20 +0000

kdepim-runtime (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:00 +1000

## kdepim-runtime 25.08.3+p24.04+vunstable+git20251206.0948

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

=== debian/changelog ===
kdepim-runtime (4:25.08.3+p24.04+vunstable+git20251206.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:48:14 +0000

## kdepim-runtime 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
-set(KDEPIM_DEV_VERSION alpha)
-set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KDEPIM_DEV_VERSION beta)
+set(RELEASE_SERVICE_VERSION "25.11.80")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -15,7 +15,7 @@
 
 configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})
@@ -35,28 +35,30 @@
 include(ECMFeatureSummary)
 include(GenerateExportHeader)
 
-set(QT_REQUIRED_VERSION "6.9.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "6")
-set(AKONADI_VERSION "6.6.40")
+set(AKONADI_VERSION "6.5.80")
 
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
-set(KMAILTRANSPORT_LIB_VERSION "6.6.40")
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
-set(KIMAP_LIB_VERSION "6.6.40")
-set(KMBOX_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(AKONADIMIME_LIB_VERSION "6.6.40")
-set(AKONADICONTACT_LIB_VERSION "6.6.40")
-set(KGAPI_LIB_VERSION "6.6.40")
-set(KLDAP_LIB_VERSION "6.6.40")
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
-set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(KIMAP_LIB_VERSION "6.5.80")
+set(KMBOX_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(AKONADIMIME_LIB_VERSION "6.5.80")
+set(AKONADICONTACT_LIB_VERSION "6.5.80")
+set(KGAPI_LIB_VERSION "6.5.80")
+set(KLDAP_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
 
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(SharedMimeInfo_MINIMUM_VERSION "1.10")
 find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)
@@ -145,7 +147,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.4.0")
+            find_package(PlasmaActivities "6.3.0")
             set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                 "Allow to compile with plasma activities"
                 TYPE OPTIONAL

=== kioworker/CMakeLists.txt ===
add_subdirectory(akonadi)

=== resources/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 if(Libkolabxml_FOUND)
     # The boost-provided CMake files are unreliable
     set(Boost_NO_BOOST_CMAKE ON)
-    find_package(Boost MODULE REQUIRED COMPONENTS atomic thread system)
+    find_package(Boost MODULE REQUIRED COMPONENTS atomic thread)
     unset(Boost_NO_BOOST_CMAKE)
     add_subdirectory(kolab)
 endif()

=== agents/migration/CMakeLists.txt ===

include_directories(
    ${CMAKE_SOURCE_DIR}/migration
    ${CMAKE_SOURCE_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_migration_agent\")

kde_enable_exceptions()

add_executable(akonadi_migration_agent)
target_sources(akonadi_migration_agent PRIVATE
    migrationagent.cpp
    migrationstatuswidget.cpp
    migrationexecutor.cpp
    migrationscheduler.cpp
    migrationagent.h
    migrationstatuswidget.h
    migrationexecutor.h
    migrationscheduler.h
    autotests/dummymigrator.cpp
    autotests/dummymigrator.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_migration_agent PROPERTIES UNITY_BUILD ON)
endif()

if(APPLE)
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.migrationagent")
  set_target_properties(akonadi_migration_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Migrationagent")
endif()

target_link_libraries(akonadi_migration_agent
    gidmigration
    googlegroupwaremigration
    icalcategoriestotagsmigration
    KPim6::AkonadiCore
    KPim6::AkonadiAgentWidgetBase
    KF6::Contacts
    KF6::WindowSystem
)

install(TARGETS akonadi_migration_agent ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES migrationagent.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== kcms/ldap/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_ldap\")

add_library(kcm_ldap MODULE)
target_sources(kcm_ldap PRIVATE
    kcmldap.cpp
    kcmldap.h
)


target_link_libraries(kcm_ldap KF6::CoreAddons KF6::KCMUtils KF6::I18n KPim6::LdapWidgets)

install(TARGETS kcm_ldap DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/common)

=== resources/imap/autotests/CMakeLists.txt ===
#if the kimap project wasn't built with tests then we can't build anything in here
if(NOT TARGET KPim6::kimaptest6)
  message(STATUS "Warning: Unable to build the imap autotests since the kimap project did not build the kimaptest library. You need to rebuild kimap with the -DBUILD_TESTING=on option")
  return()
endif()

# clang-tidy, clazy, include-what-you-use link fails with:
# /usr/bin/ld: libkimaptest6.a: error adding symbols: file format not recognized
if(CMAKE_CXX_CLANG_TIDY OR CMAKE_CXX_INCLUDE_WHAT_YOU_USE OR "${CMAKE_CXX_COMPILER}" MATCHES "clazy")
  return()
endif()

kde_enable_exceptions()
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMMarkAsTest)

MACRO(IMAP_RESOURCE_UNIT_TESTS)
  FOREACH(_testname ${ARGN})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/..)
    add_executable(${_testname} ${_testname}.cpp dummypasswordrequester.cpp dummyresourcestate.cpp imaptestbase.cpp
        dummypasswordrequester.h dummyresourcestate.h imaptestbase.h)
    add_test(NAME ${_testname} COMMAND ${_testname})
    ecm_mark_as_test(imap-${_testname})

    target_link_libraries(${_testname}
      KPim6::IMAP KPim6::kimaptest6 Qt::Gui Qt::Core Qt::Test KF6::ConfigGui imapresource akonadi-singlefileresource)
    add_definitions(-DTEST_DATA="\\"${CMAKE_CURRENT_SOURCE_DIR}\\"")
  ENDFOREACH(_testname)
ENDMACRO(IMAP_RESOURCE_UNIT_TESTS)

IMAP_RESOURCE_UNIT_TESTS(
  testresourcetask
  testsessionpool

  testaddcollectiontask
  testadditemtask
  testchangecollectiontask
  testchangeitemtask
  testexpungecollectiontask
  testmovecollectiontask
  testmoveitemstask
  testremovecollectionrecursivetask
  testretrievecollectionmetadatatask
  testretrievecollectionstask
  testretrieveitemtask
  testretrieveitemstask
)

=== debian/changelog ===
kdepim-runtime (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:55:32 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.3~),
-               libakonadicalendar-dev (>= 4:25.08.3~),
-               libakonadicontact-dev (>= 4:25.08.3~),
-               libakonadimime-dev (>= 4:25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
+               libakonadicalendar-dev (>= 4:25.11.80~),
+               libakonadicontact-dev (>= 4:25.11.80~),
+               libakonadimime-dev (>= 4:25.11.80~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:25.08.3~),
+               libkcalendarutils-dev (>= 4:25.11.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -30,16 +30,16 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.08.3~),
-               libkidentitymanagement-dev (>= 25.08.3~),
-               libkimap-dev (>= 25.08.3~),
-               libkldap-dev (>= 25.08.3~),
-               libkmailtransport-dev (>= 25.08.3~),
-               libkmbox-dev (>= 25.08.3~),
-               libkmime-dev (>= 25.08.3~),
-               libkolabxml-dev (>= 1.1~),
+               libkgapi-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.80~),
+               libkimap-dev (>= 25.11.80~),
+               libkldap-dev (>= 25.11.80~),
+               libkmailtransport-dev (>= 25.11.80~),
+               libkmbox-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.80~),
+#               libkolabxml-dev (>= 1.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.3~),
+               libpimcommon-dev (>= 4:25.11.80~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,

## kdepim-runtime 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
-set(KDEPIM_DEV_VERSION beta)
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(KDEPIM_DEV_VERSION rc)
+set(RELEASE_SERVICE_VERSION "25.11.90")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -39,22 +39,22 @@
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "6")
-set(AKONADI_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.90")
 
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.80")
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(KIMAP_LIB_VERSION "6.5.80")
-set(KMBOX_LIB_VERSION "6.5.80")
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(AKONADIMIME_LIB_VERSION "6.5.80")
-set(AKONADICONTACT_LIB_VERSION "6.5.80")
-set(KGAPI_LIB_VERSION "6.5.80")
-set(KLDAP_LIB_VERSION "6.5.80")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
+set(CALENDARUTILS_LIB_VERSION "6.5.90")
+set(KIMAP_LIB_VERSION "6.5.90")
+set(KMBOX_LIB_VERSION "6.5.90")
+set(AKONADICALENDAR_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(AKONADIMIME_LIB_VERSION "6.5.90")
+set(AKONADICONTACT_LIB_VERSION "6.5.90")
+set(KGAPI_LIB_VERSION "6.5.90")
+set(KLDAP_LIB_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kdepim-runtime (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:55 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
                libboost-system-dev,
                libboost-thread-dev,
-               libkcalendarutils-dev (>= 4:25.11.80~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -30,16 +30,15 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6wallet-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkgapi-dev (>= 25.11.80~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkimap-dev (>= 25.11.80~),
-               libkldap-dev (>= 25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmbox-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
-#               libkolabxml-dev (>= 1.1~),
+               libkgapi-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkimap-dev (>= 25.11.90~),
+               libkldap-dev (>= 25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmbox-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libpimcommon-dev (>= 4:25.11.90~),
                libplasmaactivities-dev (>= 6.1.0~),
                libqca-qt6-dev (>= 2.3.7~),
                libsasl2-dev,
